%define _requires_exceptions pear(/etc

Summary:	PHPSysInfo displays system status 
Name:		phpsysinfo
Version:	2.5.4
Release:	%mkrel 4
Group:		System/Servers
License:	GPLv2+
URL:		http://phpsysinfo.sourceforge.net/
Source0:	http://ovh.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0:		phpsysinfo-2.5.2-rc2-mdv_conf.diff
Requires(pre):  apache-mod_php php-xml lm_sensors
Requires:       apache-mod_php php-xml lm_sensors
BuildRequires:	perl
BuildRequires:	apache-base >= 2.0.54
BuildArch:	noarch
Provides:	phpSysInfo = %{version}
Obsoletes:	phpSysInfo
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
PHPSysInfo is a customizable PHP Script that parses /proc, and formats
information nicely. It will display information about system facts like Uptime,
CPU, Memory, PCI devices, SCSI devices, IDE devices, Network adapters, Disk
usage, and more.

Included is also a new lm_sensors module that will present voltage,
temperature, fan speed, etc. if the appropriate lm_sensors modules are loaded.

%prep

%setup -q -n %{name}
%patch0 -p1

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}/var/www/%{name}

cp -aRf * %{buildroot}/var/www/%{name}/

mv %{buildroot}/var/www/%{name}/config.php.new %{buildroot}%{_sysconfdir}/%{name}/config.php

# cleanup
rm -f %{buildroot}/var/www/%{name}/COPYING
rm -f %{buildroot}/var/www/%{name}/ChangeLog
rm -f %{buildroot}/var/www/%{name}/README

cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF

Alias /%{name} /var/www/%{name}

<Directory /var/www/%{name}>
    Order deny,allow
    Deny from all
    Allow from 127.0.0.1
</Directory>

#<LocationMatch /%{name}>
#    Options FollowSymLinks
#    RewriteEngine on
#    RewriteCond %{SERVER_PORT} !^443$
#    RewriteRule ^.*$ https://%{SERVER_NAME}%{REQUEST_URI} [L,R]
#</LocationMatch>

EOF

%post
ccp --delete --ifexists --set "NoOrphans" --ignoreopt config_version --oldfile %{_sysconfdir}/%{name}/config.php --newfile %{_sysconfdir}/%{name}/config.php.rpmnew
%_post_webapp

%postun
%_postun_webapp

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%attr(0755,root,root) %dir %{_sysconfdir}/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/config.php
/var/www/%{name}


%changelog
* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.5.4-4mdv2009.0
+ Revision: 259000
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.5.4-3mdv2009.0
+ Revision: 246886
- rebuild

* Sat Feb 02 2008 Funda Wang <fundawang@mandriva.org> 2.5.4-1mdv2008.1
+ Revision: 161426
- New version 2.5.4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 19 2007 Oden Eriksson <oeriksson@mandriva.com> 2.5.3-1mdv2008.0
+ Revision: 66589
- 2.5.3
- lowercase the package name


* Fri Mar 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.5.2-0.rc2.2mdv2007.1
+ Revision: 145029
- Add XDG menu entry
- Import phpSysInfo

* Mon May 15 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5.2-0.rc2.1mdk
- 2.5.2rc2
- use the webapps policy
- fix a menuentry
- add mod_rewrite rules to enforce ssl connections
- fix deps

* Mon Jun 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.3-2mdk
- fix deps

* Tue Aug 24 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.3-1mdk
- 2.3 (works with php5-*)

